Package org.opensaml.soap.wstrust

# Interface RequestedReferenceType

All Superinterfaces:
  `WSTrustObject`, `XMLObject`

All Known Subinterfaces:
  `RequestedAttachedReference`, `RequestedUnattachedReference`

All Known Implementing Classes:
  `RequestedAttachedReferenceImpl`, `RequestedReferenceTypeImpl`, `RequestedUnattachedReferenceImpl`

public interface RequestedReferenceType extends WSTrustObject
Interface for RequestedReferenceType complex type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`SecurityTokenReference`
`getSecurityTokenReference()`
Returns the wsse:SecurityTokenReference child element.
`void`
`setSecurityTokenReference(SecurityTokenReference securityTokenReference)`
Sets the wsse:SecurityTokenReference child element.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getSecurityTokenReference

@Nullable SecurityTokenReference getSecurityTokenReference()
Returns the wsse:SecurityTokenReference child element.

Returns:
  the `SecurityTokenReference` child element or `null`.

### setSecurityTokenReference

void setSecurityTokenReference(@Nullable SecurityTokenReference securityTokenReference)
Sets the wsse:SecurityTokenReference child element.

Parameters:
  `securityTokenReference` - The `SecurityTokenReference` child element to be set.